[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#241497: Critical bug still not addressed: upgrade-i386

On Tue, Aug 10, 2004 at 11:37:00AM -0400, Andres Salomon wrote:
> On Tue, 10 Aug 2004 00:56:45 -0400, Nathanael Nerode wrote:

> > Reminder: the directory
> > dists/sarge/main/upgrade-i386
> > still has not been created, let alone populated.

> Oh, yuck.  This is the first I've heard of this problem.

> > I would expect this to be a hard requirement before sarge can be 
> > released; otherwise upgrades from woody for real i386 machines will not 
> > be possible.

> > It will need to contain a kernel for i386 machines which
> > (1) installs cleanly on woody
> > (2) contains and enables the 486 emulation patch (introduced with 
> > Debian's kernel 2.4.24, but really could be attached to any 2.4 version, 
> > I believe).

> Joshua Kwan is the only person working on 2.4.27, afaik (I offered to
> help, but I want to get other packages squared away before getting sucked
> into that).  Presumably, we'll be required to provide security updates for
> these i386-upgrade-only kernels, and given the kernel's history,
> that's going to be a pain if we're stuck w/ anything less than 2.4.26 or
> 2.4.27.  

The upgrade-only kernels would be intended solely as an intermediate
step during the upgrade process; users should be encouraged to install
kernels from the main archive as well as part of the upgrade process.
As such, we can probably dispense with security support for the
upgrade-i386 kernel packages if necessary.

Steve Langasek
postmodern programmer

Attachment: signature.asc
Description: Digital signature

Reply to: